Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.util
Interface ClassPath.ClassFile

Enclosing class:
  ClassPath

    public static interface ClassPath.ClassFile

Contains information about file/ZIP entry of the Java class.

Method Summary
`String` | `getBase()`
`InputStream` | `getInputStream()`
`String` | `getPath()`
`long` | `getSize()`
`long` | `getTime()`

Method Detail

### getInputStream

    InputStream getInputStream()
                               throws IOException

  Returns:
    input stream for class file.
  Throws:
    `IOException`

### getPath

    String getPath()

  Returns:
    canonical path to class file.

### getBase

    String getBase()

  Returns:
    base path of found class, i.e. class is contained relative to that path, which may either denote a directory, or zip file

### getTime

    long getTime()

  Returns:
    modification time of class file.

### getSize

    long getSize()

  Returns:
    size of class file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.